org.apache.hadoop.yarn.security.client

## Class RMDelegationTokenIdentifier

- java.lang.Object
- - org.apache.hadoop.security.token.TokenIdentifier
  - - org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier
    - - org.apache.hadoop.yarn.security.client.YARNDelegationTokenIdentifier
      - - org.apache.hadoop.yarn.security.client.RMDelegationTokenIdentifier

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class RMDelegationTokenIdentifier
      extends YARNDelegationTokenIdentifier

  Delegation Token Identifier that identifies the delegation tokens from the Resource Manager.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RMDelegationTokenIdentifier.Renewer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.hadoop.io.Text` | `KIND_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RMDelegationTokenIdentifier()`
    `RMDelegationTokenIdentifier(org.apache.hadoop.io.Text owner, org.apache.hadoop.io.Text renewer, org.apache.hadoop.io.Text realUser)` Create a new delegation token identifier

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.io.Text` | `getKind()`

    - ### Methods inherited from class org.apache.hadoop.yarn.security.client.YARNDelegationTokenIdentifier

      `getProto, readFields, readFieldsInOldFormat, write, writeInOldFormat`

    - ### Methods inherited from class org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier

      `equals, getIssueDate, getMasterKeyId, getMaxDate, getOwner, getRealUser, getRenewer, getSequenceNumber, getUser, hashCode, isEqual, setIssueDate, setMasterKeyId, setMaxDate, setOwner, setRealUser, setRenewer, setSequenceNumber, toString, toStringStable`

    - ### Methods inherited from class org.apache.hadoop.security.token.TokenIdentifier

      `getBytes, getTrackingId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### KIND_NAME

          public static final org.apache.hadoop.io.Text KIND_NAME

  - ### Constructor Detail

    - #### RMDelegationTokenIdentifier

          public RMDelegationTokenIdentifier()

    - #### RMDelegationTokenIdentifier

          public RMDelegationTokenIdentifier(org.apache.hadoop.io.Text owner,
                                             org.apache.hadoop.io.Text renewer,
                                             org.apache.hadoop.io.Text realUser)

      Create a new delegation token identifier
      Parameters:
        `owner` - the effective username of the token owner
        `renewer` - the username of the renewer
        `realUser` - the real username of the token owner

  - ### Method Detail

    - #### getKind

          public org.apache.hadoop.io.Text getKind()

      Specified by:
        `getKind` in class `org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.